%% Extraction and Modification of RSM File
%  This code mainly extracts the output data (RSM file) for each realization and changes
%  it to '-txt.' file to be imported into Matlab for further analysis

Year = 6;
N_realization = 100;
Foldername = 'C:\Users\cuthb\OneDrive - NTNU\2D_LSM_Reservoir_Model';

for i_Year = 1: Year
    for i_realization = 1: N_realization 
        RealizationFile_from = [Foldername,'\Data\Switch_at_Year_',num2str(i_Year),'\Simulation\R',num2str(i_realization),'\2D_MODEL_SWITCH_Y',num2str(i_Year),'_R',num2str(i_realization),'.RSM'];
        RealizationFile_to = [Foldername,'\Switch_at_Year_',num2str(i_Year),'\TextFile\2D_MODEL_SWITCH_Y',num2str(i_Year),'_R',num2str(i_realization),'.txt'];
        copyfile(RealizationFile_from,RealizationFile_to);
        
    end
end
